// Copyright(c) 1996 ObjectSpace, Inc.
// Portions Copyright(c) 1995, 1996 Hewlett-Packard Company.

package jgl;

/**
 * MinusInteger is a binary function object that assumes that both of its operands are
 * instances of Integer and returns the second operand subtraced from the first operand.
 * <p>
 * @version 1.1
 * @author ObjectSpace, Inc.
 */

public final class MinusInteger implements BinaryFunction
  {
  /**
   * Return the result of subtracting the second operand from the first operand.
   * @param first The first operand, which must be an instance of Integer.
   * @param second The second operand, which must be an instance of Integer.
   * @return first - second
   */
  public Object execute( Object first, Object second )
    {
    return new Integer( ((Integer) first).intValue() - ((Integer) second).intValue() );
    }
  }
